package de.hft.geotime.entities;

import com.fasterxml.jackson.annotation.JsonBackReference;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Entity
public class TimetrackAccount {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private long id;
    private double revenue;
    private String name;
    private String description;

    @JsonBackReference
    @ManyToOne
    private TimetrackUser user;

    @OneToMany(mappedBy = "account")
    private List<TimeRecord> records;

}
